[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TNotebook.Page

Provides access to a page object in the notebook control by its ordinal position in the list of pages.

## Declaration

Source position: extctrls.pp line 147

`public property TNotebook.Page[Index: Integer] : TPage read GetPage;`

## Description

Page is an indexed read-only TPage property used to access a page object for the notebook control by its ordinal position in the list of pages. TPage values in the Page property are maintained when values are added to or removed from Pages.

Use IndexOf to get the position where a specific TPage instance is stored in the Page and Pages properties.

Use PageCount to get the number of pages defined in the Pages property. Use ActivePageComponent to get the TPage instance at the position in PageIndex. Use ActivePage to get the name of the page at the position in PageIndex.